# Uses of Interface
com.sparshui.common.Event

Packages that use Event
Package
Description
com.sparshui.client
com.sparshui.common.messages.events
com.sparshui.gestures
com.sparshui.server
org.jmol.multitouch.sparshui

## Uses of Event in com.sparshui.client

Methods in com.sparshui.client with parameters of type Event
Modifier and Type
Method
Description
`void`
SparshClient.`processEvent(int groupID, Event event)`
This method processes events from the Gesture Server.

## Uses of Event in com.sparshui.common.messages.events

Classes in com.sparshui.common.messages.events that implement Event
Modifier and Type
Class
Description
`class`
`DragEvent`
`class`
`FlickEvent`
`class`
`RelativeDragEvent`
`class`
`RotateEvent`
`class`
`SpinEvent`
`class`
`TouchEvent`
`class`
`ZoomEvent`

## Uses of Event in com.sparshui.gestures

Methods in com.sparshui.gestures that return types with arguments of type Event
Modifier and Type
Method
Description
`List<Event>`
Gesture.`processChange(List<TouchPoint> touchPoints, TouchPoint changedTouchPoint)`
Process a touch point change in the gesture.

## Uses of Event in com.sparshui.server

Method parameters in com.sparshui.server with type arguments of type Event
Modifier and Type
Method
Description
`void`
ServerToClientProtocol.`processEvents(int groupID, Lst<Event> events)`
Instruct the client to process the events that have been generated by a group.

## Uses of Event in org.jmol.multitouch.sparshui

Methods in org.jmol.multitouch.sparshui that return types with arguments of type Event
Modifier and Type
Method
Description
`protected List<Event>`
TwoPointGesture.`processBirth(TouchPoint touchPoint)`
`List<Event>`
SinglePointGesture.`processChange(List<TouchPoint> touchPoints, TouchPoint changedTouchPoint)`
incorporates double-click gesture
`List<Event>`
TwoPointGesture.`processChange(List<TouchPoint> touchPoints, TouchPoint changedPoint)`
`protected List<Event>`
TwoPointGesture.`processDeath(TouchPoint touchPoint)`
`protected List<Event>`
TwoPointGesture.`processMove(TouchPoint touchPoint)`
Methods in org.jmol.multitouch.sparshui with parameters of type Event
Modifier and Type
Method
Description
`void`
JmolSparshClientAdapter.`processEvent(int groupID, Event event)`
Translate the specialized Sparsh UI information into a format that Jmol's ActionManager can understand without any special classes.